#pragma once

#include "OptionsWindow.h"
#include <TextField.h>
#include <Button.h>

#include "ChatHistory.h"
#include "ChatOptions.h"

class Chat : public OptionsWindow
{
private:
    ChatHistory* history;
    Framework::TextField* commandLine;
    Framework::Button* sendButton;
    ChatOptions* options;
    bool optionsAdded;
    
public:
    Chat();
    ~Chat();

    void addMessage(char* data);
    void initOptions(char* data);
    bool tick(double time) override;
    void render(Framework::Image& rObj) override;
};